curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK",
"mask": "4321",
"account_name": "My custom account",
"institution_name": "My custom account institution",
"account_type": "DEPOSITORY",
"account_subtype": "checking",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}""Fetch custom account
Fetches a custom account for a business. Custom accounts offer platforms direct control over bank account data and should be used for accounts operated directly by the platform.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch custom account for.
The UUID of the custom account to fetch.
Response
Unique ID for the custom account
Unique ID of the custom account in an external system for linking and idempotency.
"ww9wwLgkrbU3jkg3J4J7ckBR3zKQV6sLPQevK"
Last 4 digits of the custom account number
"4321"
Name of the account
"My custom account"
Name of the institution for the custom account
"My custom account institution"
The type of the custom account
DEPOSITORY, CREDIT, LOAN "DEPOSITORY"
The subtype of the custom account
CHECKING, SAVINGS, CREDIT CARD, LOAN "checking"
Timestamp of when the custom account was created
Timestamp of when the custom account was last created
Timestamp of when the custom account was archived
The ID of the ledger account associated with the custom account